%global packageversion 50b8

Name:           tinyfugue
Version:        5.0
Release:    1%{?dist}
Summary:        A MU* client
License:        GPLv2+
URL:            http://tinyfugue.sourceforge.net/
Source0:         http://downloads.sourceforge.net/tinyfugue/tf-%{packageversion}.tar.gz
Patch1:         tf-50b8.pcre.patch
Patch2:         tf-allrootpatch.txt
Patch3:         tf-allsrcpatch.txt
Patch4:         0001-Add-DESTDIR-support.patch
Patch5:         0002-Correct-use-of-va_list.patch
Patch6:         0003-Minor-man-page-fixes.patch
Patch7:         0004-Support-GnuTLS-via-OpenSSL-compat-library.patch
Patch8:         0005-Make-the-build-reproducible.patch
Patch9:         0006-Fix-library-install-path.patch
Patch10:        0007-Fix-spelling-errors.patch
Patch11:        0008-Fix-duplicate-world_decl-definitions.patch
Patch12:        0009-Fix-spelling-error-in-manual-page.patch
Patch13:        tinyfigue-configure-c99.patch
Patch14:        tinyfugue-malloc-c99.h
Patch15:        tinyfugue-tfio-c99.patch
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  pcre-devel
BuildRequires:  openssl-devel
BuildRequires:  sed

%description
TinyFugue is the ubiquitous MUD/MOO/MUSH/MUCK/etc client for UNIX. This client
allows you to interact with multiple worlds simultaneously, create command
macros, and create hooks and triggers for automated responses to game messages.

%prep
%autosetup -n tf-%{packageversion} -p1
rm -rfv src/pcre-2.08

%build
export CPPFLAGS="${CFLAGS}"
%configure \
    --enable-core \
    --enable-inet6 \
    --enable-ssl \
    --enable-atcp \
    --enable-gmcp \
    --enable-option102
%make_build

%install
mkdir %{buildroot}/%{_prefix}
%make_install
install -D -p -m 644 src/tf.1.nroffman %{buildroot}%{_mandir}/man1/tf.1

%files
%doc CHANGES COPYING CREDITS README
%{_bindir}/tf
%{_datadir}/tf-lib/
%{_mandir}/man1/tf.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-1
- initial build
